Skip to main content
PATCH
/
v1
/
entities
/
{id}
Update entity metadata
curl --request PATCH \
  --url https://api.lithoblocks.com/v1/entities/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "organization_id": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.lithoblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

LithoBlocks API key obtained from your organization dashboard

Path Parameters

id
string
required

Body

application/json

Entity update data

name
string
Required string length: 1 - 255
description
string
Maximum string length: 1000

Response

Updated entity

id
string
required
name
string
required
description
string | null
required
organization_id
string
required
created_at
string
required
updated_at
string
required